# svn_ra_callbacks2_t Struct Reference

A collection of callbacks implemented by libsvn_client which allows an RA layer to "pull" information from the client application, or possibly store information. More...

`#include <svn_ra.h>`

## Data Fields
svn_error_t *(* | open_tmp_file )(apr_file_t **fp, void *callback_baton, apr_pool_t *pool)
| Open a unique temporary file for writing in the working copy.
svn_auth_baton_t * | auth_baton
| An authentication baton, created by the application, which is capable of retrieving all known types of credentials.
svn_ra_get_wc_prop_func_t | get_wc_prop
| Fetch working copy properties.
svn_ra_set_wc_prop_func_t | set_wc_prop
| Immediately set new values for working copy properties.
svn_ra_push_wc_prop_func_t | push_wc_prop
| Schedule new values for working copy properties.
svn_ra_invalidate_wc_props_func_t | invalidate_wc_props
| Invalidate working copy properties.
svn_ra_progress_notify_func_t | progress_func
| Notification callback used for progress information.
void * | progress_baton
| Notification callback baton, used with progress_func.
svn_cancel_func_t | cancel_func
| Cancellation function.
svn_ra_get_client_string_func_t | get_client_string
| Client string customization callback function.

## Detailed Description

A collection of callbacks implemented by libsvn_client which allows an RA layer to "pull" information from the client application, or possibly store information.

libsvn_client passes this vtable to svn_ra_open4().

Each routine takes a callback_baton originally provided with the vtable.

Clients must use svn_ra_create_callbacks() to allocate and initialize this structure.

Since:
  New in 1.3.

Definition at line 458 of file svn_ra.h.

## Field Documentation

svn_cancel_func_t svn_ra_callbacks2_t::cancel_func

Cancellation function.

As its baton, the general callback baton is used

Since:
  New in 1.5

Definition at line 512 of file svn_ra.h.

svn_ra_get_client_string_func_t svn_ra_callbacks2_t::get_client_string

Client string customization callback function.

Since:
  New in 1.5

Definition at line 517 of file svn_ra.h.

svn_ra_get_wc_prop_func_t svn_ra_callbacks2_t::get_wc_prop

Fetch working copy properties.

     ### we might have a problem if the RA layer ever wants a property
     ### that corresponds to a different revision of the file than
     ### what is in the WC. we'll cross that bridge one day...

Definition at line 487 of file svn_ra.h.

svn_ra_invalidate_wc_props_func_t svn_ra_callbacks2_t::invalidate_wc_props

Invalidate working copy properties.

Definition at line 496 of file svn_ra.h.

svn_error_t*(* svn_ra_callbacks2_t::open_tmp_file)(apr_file_t **fp, void *callback_baton, apr_pool_t *pool)

Open a unique temporary file for writing in the working copy.

This file will be automatically deleted when fp is closed.

Deprecated:
  This callback should no longer be used by RA layers.

Definition at line 465 of file svn_ra.h.

void* svn_ra_callbacks2_t::progress_baton

Notification callback baton, used with progress_func.

Definition at line 504 of file svn_ra.h.

svn_ra_progress_notify_func_t svn_ra_callbacks2_t::progress_func

Notification callback used for progress information.

May be NULL if not used.

Definition at line 501 of file svn_ra.h.

svn_ra_push_wc_prop_func_t svn_ra_callbacks2_t::push_wc_prop

Schedule new values for working copy properties.

Definition at line 493 of file svn_ra.h.

svn_ra_set_wc_prop_func_t svn_ra_callbacks2_t::set_wc_prop

Immediately set new values for working copy properties.

Definition at line 490 of file svn_ra.h.

The documentation for this struct was generated from the following file:

- svn_ra.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines